{
  description = "Nixos config flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    niri = {
      url = "github:sodiboo/niri-flake";
      inputs.nixpkgs.follows = "nixpkgs";
    };

	nixd = {
		url = "github:nix-community/nixd";
	};

	xwayland-satellite-flake = {
		url = "github:cspark-development/xwayland-satellite-flake";
	};

  };

  outputs = { self, nixpkgs, ... }@inputs: {
    nixosConfigurations = { 
      desktop = nixpkgs.lib.nixosSystem {
        specialArgs = {inherit inputs;};
        modules = [
	        ./global.nix
          ./configurations/desktop/configuration.nix
        ];
      };
      laptop = nixpkgs.lib.nixosSystem {
        specialArgs = {inherit inputs;};
        modules = [
	        ./global.nix
          ./configurations/laptop/configuration.nix
        ];
      };
    };
  };
}
